Page MenuHomePhabricator

sidedata: add a 'side-data' repository feature and use it
ClosedPublic

Authored by marmoute on May 3 2021, 7:53 AM.

Details

Summary

Most code don't really care how sidedata support is added, but it needs to know
if it is present. To achieve this. we use the repo.features attributes with a
new dedicated features".

Having such centralised information is more robust and will help us to remove the
sidedata requirements in a later changesets.

Diff Detail

Repository
rHG Mercurial
Branch
default
Lint
No Linters Available
Unit
No Unit Test Coverage

Event Timeline

marmoute created this revision.May 3 2021, 7:53 AM
baymax updated this revision to Diff 27532.May 3 2021, 9:44 PM

✅ refresh by Heptapod after a successful CI run (🐙 💚)

baymax updated this revision to Diff 27863.May 11 2021, 1:43 PM

✅ refresh by Heptapod after a successful CI run (🐙 💚)

baymax updated this revision to Diff 27989.May 17 2021, 7:02 AM

✅ refresh by Heptapod after a successful CI run (🐙 💚)

This revision was not accepted when it landed; it landed in state Needs Review.
This revision was automatically updated to reflect the committed changes.